name: 1TS002E
description: SPST tactical momentary switch, SMD 6.1x3.7x2.5mm
datasheet: https://datasheet.lcsc.com/lcsc/1811071030_HYP-Hongyuan-Precision-1TS002E-2700-2500-CT_C319367.pdf

pinout:
  1: 1
  2: 2

schematic:
  symbol: connector
  left: 1
  right: 2

housing:
  pattern: custom
  bodyLength: 3.5-3.9
  bodyWidth: 5.9-6.3
  height: 2.5
  model: # from /usr/share/kicad/3dmodels/Button_Switch_SMD.3dshapes/SW_Tactile_SPST_NO_Straight_CK_PTS636Sx25SMTRLFS.step
    file: "library/mechanical/smd-button_hyp_1ts002e.step"
    rotation: 0,0,0
    position: 0,0,0
  leadCount: 2
  leadLength: 0.6-0.8
  leadSpan: 7.8-8.2
  padWidth: 1.5 # (9.3-6.3)/2
  padHeight: 1.5
  padSpace: 6.3
  padPosition: -3.9, 0, 3.9, 0
